# Packages names
%global vdsm_name vdsm
%global vdsm_bootstrap vdsm-bootstrap
%global vdsm_reg vdsm-reg

# Required users and groups
%global vdsm_user vdsm
%global vdsm_group kvm
%global qemu_group qemu
%global snlk_group sanlock
%global snlk_user sanlock

# Required paths
%if 0%{?fedora} >= 18
%global _polkitdir %{_datadir}/polkit-1/rules.d
%else
%global _polkitdir %{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d
%endif

# Default to skipping autoreconf.  Distros can change just this one line
# (or provide a command-line override) if they backport any patches that
# touch configure.ac or Makefile.am.
%{!?enable_autotools:%define enable_autotools 1}

# Disable vdsm-gluster build by default
%{!?enable_gluster:%define enable_gluster 0}

Name:           %{vdsm_name}
Version:        4.10.2
Release:	27.0%{?dist}%{?extra_release}
Summary:        Virtual Desktop Server Manager

Group:          Applications/System
License:        GPLv2+
Url:            http://www.ovirt.org/wiki/Vdsm
Source0:        %{vdsm_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python
BuildRequires: python-devel
BuildRequires: python-nose

# BuildRequires needed by the tests during the build
BuildRequires: python-ethtool
BuildRequires: libvirt-python
BuildRequires: genisoimage
BuildRequires: openssl
BuildRequires: m2crypto
#Uncomment below as soon we have python-ordereddict shipped in EL6
#%if 0%{?rhel}
#BuildRequires: python-ordereddict
#%endif
%ifarch x86_64
BuildRequires: python-dmidecode
%endif

# Autotools BuildRequires
%if 0%{?enable_autotools}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
BuildRequires: libtool
%endif

%if !0%{?rhel}
BuildRequires: pyflakes
BuildRequires: python-pep8
BuildRequires: systemd-units
%endif

Requires: which
Requires: sudo >= 1.7.3
Requires: logrotate
Requires: rsyslog
Requires: xz
Requires: ntp
Requires: iproute
Requires: python-ethtool >= 0.6-3
Requires: rpm-python
Requires: nfs-utils
#Uncomment the below line as soon EL6 ships python-pthreading
#Requires: python-pthreading
Requires: m2crypto
Requires: %{name}-xmlrpc = %{version}-%{release}

%ifarch x86_64
Requires: python-dmidecode
Requires: dmidecode
%endif

%if 0%{?rhel}
Requires: policycoreutils >= 2.0.83-19.30
Requires: policycoreutils-python >= 2.0.83-19.30
Requires: python
# Update the qemu-kvm-rhev requires when block_stream will be included
Requires: qemu-kvm-rhev >= 2:0.12.1.2-2.295.el6_3.4
Requires: qemu-img-rhev >= 2:0.12.1.2-2.295.el6_3.4
Requires: libvirt >= 0.10.2-18.el6_4.4
Requires: libvirt-python, libvirt-lock-sanlock, libvirt-client
Requires: iscsi-initiator-utils >= 6.2.0.872-15
Requires: device-mapper-multipath >= 0.4.9-52
Requires: e2fsprogs >= 1.41.12-11
Requires: kernel >= 2.6.32-279.9.1
Requires: sanlock >= 2.3-4, sanlock-python
Requires: initscripts >= 9.03.33-1.el6
Requires: selinux-policy-targeted >= 3.7.19-155
Requires: lvm2 >= 2.02.95-10.el6_3.2
%else
# Subprocess and thread bug was found on python 2.7.2
Requires: python >= 2.7.3
Requires: qemu-kvm >= 2:0.15.0-4
Requires: qemu-img >= 2:0.15.0-4
Requires: libvirt >= 0.10.1-1
Requires: libvirt-python, libvirt-lock-sanlock, libvirt-client
Requires: iscsi-initiator-utils >= 6.2.0.872-14
Requires: device-mapper-multipath >= 0.4.9-18
Requires: e2fsprogs >= 1.41.14
Requires: kernel >= 3.6
Requires: sanlock >= 2.4-2, sanlock-python
Requires: sed >= 4.2.1-10
Requires: selinux-policy-targeted >= 3.10.0-149
Requires: lvm2 >= 2.02.95
%endif

Requires: psmisc >= 22.6-15
Requires: fence-agents
Requires: bridge-utils
Requires: sos
Requires: tree
Requires: dosfstools
Requires: genisoimage
Requires: libselinux-python
Requires: %{name}-python = %{version}-%{release}
Requires: pyparted

Requires(pre,preun): policycoreutils-python
Requires(post): /usr/sbin/saslpasswd2
Requires(post): /bin/hostname

# backward compatible with older bootstrap code
# see bug#870079
# can be removed when rhevm-3.0 hosts are
# updated with latest vdsm-bootstrap
Requires: %{name}-cli = %{version}-%{release}

Provides: python-pthreading=0.1.1
Provides: python-ordereddict=1.1

Patch0: add-gluster-to-tarball.patch
Patch1: 0001-pool-refresh-multipath-on-connectStoragePool.patch
Patch2: 0002-vdsm-Remove-rest.patch
Patch3: 0003-vdsm-remove-vdsm_api-json.patch
Patch4: 0004-Allow-break-bond-with-attached-network-while-VM-is-r.patch
Patch5: 0005-Adding-hooks-support-for-NIC-hotplug.patch
Patch6: 0006-vdsm.spec-remove-if-0-rhel-for-workaround.patch
Patch7: 0007-bootstrap-start-messagebus-as-it-is-libvirtd-depende.patch
Patch8: 0008-configure.ac-Remove-pending-vdsm_api-ref.patch
Patch9: 0009-libvirtvm-prepare-for-interface-type-network.patch
Patch10: 0010-bootstrap-python-2.4-compatibility.patch
Patch11: 0011-thread-daemonize-HSM_MailMonitor-and-storageRefresh.patch
Patch12: 0012-upgrade-make-sure-that-the-lease-files-have-correct-.patch
Patch13: 0013-vm-increase-the-volume-extension-on-storage-migratio.patch
Patch14: 0014-upgrade-reallocate-the-metadata-slots-when-needed.patch
Patch15: 0015-sdcache-add-refresh-to-connectStoragePool.patch
Patch16: 0016-Adding-support-for-force-extend-block-domains.patch
Patch17: 0017-iscsi.py-fix-log-message-format.patch
Patch18: 0018-Take-care-of-No-devices-found-when-calling-dmsetup-s.patch
Patch19: 0019-use-rhevm-as-management-bridge-downstream.patch
Patch20: 0020-vdsm.spec-bump-python-ethtool-version.patch
Patch21: 0021-Revert-Exclude-vdsm-gluster.py-from-PEP8.patch
Patch22: 0022-Revert-Do-not-ship-vdsm-gluster-in-rhev.patch
Patch23: 0023-conditionally-build-vdsm-gluster-rpm.patch
Patch24: 0024-libvirtvm-Avoiding-snapshot-metadata-creation.patch
Patch25: 0025-Add-default-MTU-1500-to-NIC-s-ifcfg-files.patch
Patch26: 0026-Allow-to-remove-NIC-if-it-not-in-use.patch
Patch27: 0027-Fix-typo-in-negative-flow-log-in-blockSD.rmDCImgDir.patch
Patch28: 0028-bootstrap-fix-python-2.4-compatibility.patch
Patch29: 0029-Override-compellent-device-defaults-in-multipath.con.patch
Patch30: 0030-Distinguish-between-local-and-mounted-SD-s.patch
Patch31: 0031-Check-if-log-file-exist-on-startup-and-log-is-access.patch
Patch32: 0032-vdsm-tool-add-the-sebool-configuration-module.patch
Patch33: 0033-configNet-support-PREFIX-option.patch
Patch34: 0034-Remove-duplicate-implementation-of-prefix2netmask.patch
Patch35: 0035-libvirtev.py-move-to-site_packages-vdsm.patch
Patch36: 0036-Report-3.2-cluster-level-and-Engine-3.2.patch
Patch37: 0037-netwiring-Add-API-definitions.patch
Patch38: 0038-netwiring-Add-cli-entry-point.patch
Patch39: 0039-netwiring-Add-API-definitions.patch
Patch40: 0040-Rename-lease-files-on-v3-file-SDs-when-renaming-data.patch
Patch41: 0041-used-gluster-cli-xml-output.patch
Patch42: 0042-Adopt-the-change-in-xml-output-format.patch
Patch43: 0043-added-glusterVolumeProfileInfo-verb.patch
Patch44: 0044-vdsm-use-default-libvirt-event-handler-impl.patch
Patch45: 0045-Fix-block-volume-atomicity-creation-issue.patch
Patch46: 0046-Integrate-Smartcard-support.patch
Patch47: 0047-Improvement-of-the-GuestAgent-class-memory-usage.patch
Patch48: 0048-vdsm.spec-increase-selinux-policy-for-rhel-distro.patch
Patch49: 0049-Remove-redundant-vlan-device-deletion.patch
Patch50: 0050-Remove-redundant-ifupping-of-bonded-ifaces.patch
Patch51: 0051-net-drop-redundant-ifdown-up-of-bond-s-nics.patch
Patch52: 0052-Don-t-fail-silently-when-ifup-fails.patch
Patch53: 0053-prepareForShutdown-is-not-called-when-connection-to-.patch
Patch54: 0054-adding-getHardwareInfo-API-to-vdsm.patch
Patch55: 0055-init-do-not-configure-lock_manager-in-qemu.conf.patch
Patch56: 0056-udev-Race-fix-load-and-trigger-dev-rule.patch
Patch57: 0057-upgrade-force-upgrade-to-v2-before-upgrading-to-v3.patch
Patch58: 0058-vdsm-Attaching-a-console-should-be-controllable.patch
Patch59: 0059-bootstrap-use-alternate-method-for-verify-certificat.patch
Patch60: 0060-api-Report-CPU-thread-info-in-getVdsCapabilities.patch
Patch61: 0061-Copy-truncate-vdsm-reg.log.patch
Patch62: 0062-use-qemu-img-convert-to-copy-sparse-volumes-when-mov.patch
Patch63: 0063-upgrade-catch-MetaDataKeyNotFoundError-when-preparin.patch
Patch64: 0064-misc-rename-safelease-to-clusterlock.patch
Patch65: 0065-domain-select-the-cluster-lock-using-makeClusterLock.patch
Patch66: 0066-clusterlock-add-the-local-locking-implementation.patch
Patch67: 0067-isRunning-didn-t-check-local-variable-before-reading.patch
Patch68: 0068-Handle-spaces-in-device-names-using-lvm-filter.patch
Patch69: 0069-VDSM-should-return-qemu-kvm-parameters-by-getCaps-AP.patch
Patch70: 0070-mount.py-handle-deleted-mount-points.patch
Patch71: 0071-vdsm-reg.conf.in-change-the-default-url-for-reg.patch
Patch72: 0072-constants.py-use-correct-sasl-username.patch
Patch73: 0073-_firstLaunch-was-always-false-because-assignment-was.patch
Patch74: 0074-cpu-mode-support-for-vdsm.patch
Patch75: 0075-Change-lvm-filter-use-of-regular-expression-to-repla.patch
Patch76: 0076-Create-a-fake-template-when-moving-to-backup-SD.patch
Patch77: 0077-After-fail-to-connect-to-supervdsm-more-than-3-time-.patch
Patch78: 0078-Fix-bad-image-tagging-when-postzeroing.patch
Patch79: 0079-fix-error-handling-for-misc.NoIntrPoll.patch
Patch80: 0080-Do-not-delete-the-template-when-zeroing-a-dependant-.patch
Patch81: 0081-do-not-use-save_image_format-lzop-until-cleared-by-l.patch
Patch82: 0082-split-restore-net-conf-away-of-vdsmd.init-service.patch
Patch83: 0083-BZ-829110-Remove-a-Domain-not-found-error-from-stats.patch
Patch84: 0084-vds_bootstrap.py-fix-package-name.patch
Patch85: 0085-Make-advanced-process-invocations-part-of-execCmd.patch
Patch86: 0086-domain-use-shared-lock-for-extendStorageDomain.patch
Patch87: 0087-Add-to-logrotate-conf-file-that-new-created-logs-wil.patch
Patch88: 0088-BZ-841555-A-migration-failure-with-an-AttributeError.patch
Patch89: 0089-guestIF-do-not-trust-data-from-guest.patch
Patch90: 0090-a-more-delicate-rollback.patch
Patch91: 0091-net-drop-nicSort.patch
Patch92: 0092-Setting-config-that-says-to-load-part-of-jsonrpc-and.patch
Patch93: 0093-Removing-vdsm-configuration-when-removing-vdsm-servi.patch
Patch94: 0094-Disable-MOM-in-3.2-version.patch
Patch95: 0095-vdsm.spec-increase-policycoreutils-version.patch
Patch96: 0096-vdsm-Move-sysctl.patch
Patch97: 0097-tool-_enable_bond_dev-reopen-bonding_masters-per-bon.patch
Patch98: 0098-Adding-sudo-rules-to-multipath-and-removing-unused-r.patch
Patch99: 0099-If-attachSD-fails-rescan-for-new-vgs-not-visible-fro.patch
Patch100: 0100-Drop-remnant-CMD_LOWPRIO.patch
Patch101: 0101-pool-refactor-getInfo-and-getRepoStats.patch
Patch102: 0102-stats-compute-the-iso-prefix-asynchronously.patch
Patch103: 0103-pool-ignore-refreshStoragePool-calls-on-the-SPM.patch
Patch104: 0104-hsm-always-check-validateNotSPM-when-disconnecting-f.patch
Patch105: 0105-Adding-missing-files.patch
Patch106: 0106-Catch-libvirt-timeout-and-return-an-error-on-setVmTi.patch
Patch107: 0107-Ignore-postZero-flag-when-deleting-an-image-on-a-fil.patch
Patch108: 0108-configNet-allow-delete-update-of-devices-with-no-ifc.patch
Patch109: 0109-Don-t-crash-on-libvirt-network-re-definition.patch
Patch110: 0110-Do-not-attempt-to-run-hook-with-an-unknown-vnic.patch
Patch112: 0112-Fix-checking-bonding-options-for-missing-bonds.patch
Patch113: 0113-Fix-validateBonding-tests-without-bonding.patch
Patch114: 0114-vdsm-bring-back-smartcard-support.patch
Patch115: 0115-sos-Follow-symbolic-links-with-tree-command.patch
Patch116: 0116-vdsm-upgrade-fix-xml-format.patch
Patch117: 0117-dumpStorageTable-to-handle-images-with-multiple-leaf.patch
Patch118: 0118-spec-bump-libvirt-version-for-el6.patch
Patch119: 0119-logUtils.funcName-work-on-partial-methods.patch
Patch120: 0120-Seperating-supervdsm-log-to-supervdsm.log-file.patch
Patch121: 0121-Removing-ownership-option-for-logrotate.conf.patch
Patch122: 0122-fix-storage.fuser.patch
Patch123: 0123-Remove-hbtl-attribute-of-non-scsi-devices.patch
Patch124: 0124-dsaversion-Adding-raw_version_revision.patch
Patch125: 0125-Fix-_getNetworkIp-for-non-bridged-networks.patch
Patch126: 0126-image-Set-legality-of-volume-to-LEGAL-after-copy.patch
Patch127: 0127-Relink-template-hard-links-to-meta-and-lease-files.patch
Patch128: 0128-image-placeholder-optimization-on-preallocation.patch
Patch129: 0129-task-Fix-spelling.patch
Patch130: 0130-Encode-when-persisting-the-Task.patch
Patch131: 0131-sp-invalidate-lvm-cache-if-attachSD-fails.patch
Patch132: 0132-Marking-del-zero-volumes-in-blockSD-class.patch
Patch133: 0133-Make-getAllVolumes-not-fail-on-broken-images.patch
Patch134: 0134-Fix-crash-on-vm-start-with-netdevs-w-out-some-info.patch
Patch135: 0135-Make-sr-iov-hook-use-interface-instead-of-hostdev.patch
Patch136: 0136-sriov-Make-the-hook-safe-for-concurrency.patch
Patch137: 0137-Extract-a-method-_getCapsXMLStr-to-get-capabilities-.patch
Patch138: 0138-Fix-duplicate-emulated-machines-returned.patch
Patch139: 0139-Probe-cpu-count-from-new-libvirt-capabilities.patch
Patch140: 0140-vdsm-Ignore-after_vm_cont-hook-if-_dom-was-not-yet-c.patch
Patch141: 0141-vdsm-fix-Vm-cleanup-routine.patch
Patch142: 0142-vdsm-change-default-migration-bandwidth-in-conf.patch
Patch143: 0143-vdsmd.init.in-removing-var-log-vdsm-libvirt.log.patch
Patch144: 0144-Remove-storage-messages-from-syslog.patch
Patch145: 0145-Increasing-the-amount-of-open-file-descriptor-for-vd.patch
Patch146: 0146-vdsm-Delay-desktop-lock-until-we-are-sure-it-was-a-d.patch
Patch147: 0147-image-update-the-volume-permissions-when-needed.patch
Patch148: 0148-agent-XML-Character-filtering-improvement.patch
Patch149: 0149-vdsm-Add-additional-exception-handling-within-vmChan.patch
Patch150: 0150-vdsm-Try-to-reconnect-on-vmchannel-after-errors.patch
Patch151: 0151-vdsm-Fix-check-for-connection-issues-with-libvirt.patch
Patch152: 0152-Checking-syslog-availability-before-starting-vdsm.patch
Patch153: 0153-Adding-rsyslog-requierment-to-spec.patch
Patch154: 0154-Initializing-libvirt-connectivity-in-external-thread.patch
Patch155: 0155-spec-bump-libvirt-version-for-el6.patch
Patch156: 0156-guestIF-Additional-object-strings-filtering.patch
Patch157: 0157-vdsmd.init-disable-libvirt-connection-keepalives.patch
Patch158: 0158-Modify-max_outgoing_migrations-default-value-to-3.patch
Patch159: 0159-remove-redundant-test_filterObject-function.patch
Patch160: 0160-Prefetch-domains-when-connecting-a-storage-server.patch
Patch161: 0161-readlines-remove-redundant-pathExists-check.patch
Patch162: 0162-vdsmd.init-replace-libvirt-logs-filter.patch
Patch163: 0163-sp-refreshDomainLinks-before-convertDomain.patch
Patch164: 0164-engine.py-return-False-on-cert-error-screen.patch
Patch165: 0165-vm-rename-_updateDrive-to-updateDriveParameters.patch
Patch166: 0166-vm-update-volume-apparentsize-after-snapshot.patch
Patch167: 0167-stats-report-the-domain-version.patch
Patch168: 0168-Migration-warning-due-to-high-guest-memory-changes.patch
Patch169: 0169-Online-check-ksmState-and-ksmPages.patch
Patch170: 0170-vdsm.spec.in-update-raw_version_revision.patch
Patch171: 0171-libvirtvm-avoid-concurrent-VM-changes-during-saveSta.patch
Patch172: 0172-vdsm-reg-move-OK-message-to-caller.patch
Patch173: 0173-clientIF-rescan-devices-on-failed-hotplugDisk.patch
Patch174: 0174-vdsm-Don-t-log-irrelevant-errors-with-level-ERROR.patch
Patch175: 0175-vdsmd.init-libvirt-env-variables.patch
Patch176: 0176-Issuing-a-real-pvs-cmd-when-there-are-no-PVs-belongi.patch
Patch177: 0177-Implement-SSL-session-cache.patch
Patch178: 0178-Explicitly-shutdown-m2crypto-socket.patch
Patch179: 0179-build-Add-BuildDepends-for-m2crypto.patch
Patch180: 0180-Revert-build-Add-BuildDepends-for-m2crypto.patch
Patch181: 0181-Revert-Explicitly-shutdown-m2crypto-socket.patch
Patch182: 0182-Revert-Implement-SSL-session-cache.patch
Patch183: 0183-Deactivate-libvirtVM.Drives.patch
Patch184: 0184-Support-teardownVolumePath-None.patch
Patch185: 0185-vdsm-reg-avoid-issuing-errors-to-console.patch
Patch186: 0186-iscsi-report-hba-sessions-as-fiber-channel.patch
Patch187: 0187-Implement-SSL-session-cache.patch
Patch188: 0188-Explicitly-shutdown-m2crypto-socket.patch
Patch189: 0189-build-Add-BuildDepends-for-m2crypto.patch
Patch190: 0190-domain-use-the-dd-statistics-for-the-domain-delay.patch
Patch191: 0191-misc-handle-scientific-notation-in-readspeed.patch
Patch192: 0192-vdsm-vmChannels-Do-not-use-epoll-unregister.patch
Patch193: 0193-API-Add-free-memory-to-stats.patch
Patch194: 0194-dumpStorageTable-fixed-a-unhandled-exception-when-po.patch
Patch195: 0195-lvm-Enhance-lvm-performance-by-altering-filter.patch
Patch196: 0196-vm-catch-getVolumeSize-failures-in-_normalizeVdsmImg.patch
Patch197: 0197-guestIF-Rework-XML-character-filtering.patch
Patch198: 0198-sos-Patch-to-add-sanlock.log-in-sos.patch
Patch199: 0199-Hidden-bonds-1-2-test-current-implementation-of-nics.patch
Patch200: 0200-Hidden-bonds-2-2-Refactored-and-updated-nics-impleme.patch
Patch201: 0201-_getBalloonInfo-Change-int-to-strings.patch
Patch202: 0202-pep8-fix-some-pep8-issues.patch
Patch203: 0203-lvm-add-logs-to-indicate-finshing-reload-lvs-op.patch
Patch204: 0204-oop-rename-createSparseFile-to-truncateFile.patch
Patch205: 0205-remoteFileHandler-Add-create-exclusive-option-for-tr.patch
Patch206: 0206-Remove-redundant-check-that-causes-lvm-cache-to-refr.patch
Patch207: 0207-Removing-validate-sd-from-spm-verbs-which-calls-ckvg.patch
Patch208: 0208-Introducing-hidden_vlans-configurable.patch
Patch209: 0209-Using-pidStat-to-get-pid-creation-time.patch

%description
The VDSM service is required by a Virtualization Manager to manage the
Linux hosts. VDSM manages and monitors the host's storage, memory and
networks as well as virtual machine creation, other host administration
tasks, statistics gathering, and log collection.

%package cli
Summary:        VDSM command line interface
BuildArch:      noarch

Requires: %{name}-python = %{version}-%{release}
Requires: %{name}-xmlrpc = %{version}-%{release}

%description cli
Call VDSM commands from the command line. Used for testing and debugging.

%package xmlrpc
Summary:        VDSM xmlrpc API
BuildArch:      noarch

Requires: %{name}-python = %{version}-%{release}

%description xmlrpc
An XMLRPC interface for interacting with vdsmd. Primary control interface for
ovirt-engine and vdsClient.

%package bootstrap
Summary:        VDSM bootstrapping package
BuildArch:      noarch

%description bootstrap
VDSM bootstrapping package. Used for delivering the bootstrap code onto the
Virtualization Manager.

%package reg
Summary:        VDSM registration package
BuildArch:      noarch

Requires: %{name} = %{version}-%{release}
Requires: m2crypto

%description reg
VDSM registration package. Used to register a Linux host to a Virtualization
Manager.

%package python
Summary:        VDSM python libraries

%description python
Shared libraries beween the various VDSM packages.

%package debug-plugin
Summary:        VDSM Debug Plugin
Requires:       vdsm
Requires:       %{name}-xmlrpc = %{version}-%{release}
BuildArch:      noarch

%description debug-plugin
Used by the trained monkeys at Red Hat to insert chaos and mayhem in to VDSM.

%package tests
Summary:        VDSM Test Suite
Requires:       vdsm = %{version}-%{release}
Requires:       dracut
Requires:       python-nose
BuildArch:      noarch

%description tests
A test suite for verifying the functionality of a running vdsm instance

%package hook-vhostmd
Summary:        VDSM hook set for interaction with vhostmd
Requires:       vhostmd
BuildArch:      noarch

%description hook-vhostmd
VDSM hook to use vhostmd per VM according to Virtualization Manager requests.

%package hook-faqemu
Summary:        Fake qemu process for VDSM quality assurance
BuildArch:      noarch
Requires:       vdsm

%description hook-faqemu
VDSM hook used for testing VDSM with multiple fake virtual machines without
running real guests.
To enable this hook on your host, set vars.fake_kvm_support=True in your
/etc/vdsm/vdsm.conf before adding the host to ovirt-Engine.

%package hook-directlun
Summary:        Direct LUN support for VDSM
BuildArch:      noarch

%description hook-directlun
VDSM hook enable user to add storage LUN for VDSM
without the sharing and storage handling of VDSM.

%package hook-fileinject
Summary:        Allow uploading file to VMs disk
BuildArch:      noarch
Requires:       python-libguestfs

%description hook-fileinject
Hook is getting target file name and its content and
create that file in target machine.

%package hook-floppy
Summary:        Allow adding floppy to VM
BuildArch:      noarch

%description hook-floppy
Allow adding floppy to VM

%package hook-hostusb
Summary:        Allow attaching USB device from host
BuildArch:      noarch

%description hook-hostusb
Hook is getting vendor and product id of USB device
disconnect it from host and attach it to VM

%package hook-hugepages
Summary:        Huge pages enable user to handle VM with 2048KB page files.
BuildArch:      noarch

%description hook-hugepages
Hook is getting number of huge pages reserve them for the VM,
and enable user to handle VM with 2048KB page files.

%package hook-isolatedprivatevlan
Summary:        Isolated network environment for VMs
BuildArch:      noarch

%description hook-isolatedprivatevlan
limit VM traffic to a specific gateway by its mac address,
hook prevent VM from spoofing its mac or  ip address
by using <filterref filter='clean-traffic'/> libvirt filter
and by adding custom filter: isolatedprivatevlan-vdsm.xml

%package hook-numa
Summary:        numa sopport for VDSM
BuildArch:      noarch

%description hook-numa
Hooks is getting number/rage of numa nodes and numa mode,
and update the VM xml.

%package hook-pincpu
Summary:        Hook pin VM so specific CPUs
BuildArch:      noarch

%description hook-pincpu
pincpu is hook for VDSM.
pincpu enable to pin virtual machine to a specific CPUs.

%package hook-promisc
Summary:        Network interface promiscuous mode support for VDSM
BuildArch:      noarch

%description hook-promisc
VDSM promiscuous mode let user define a VM interface that will capture
all network traffic.

%package hook-qemucmdline
Summary:        QEMU cmdline hook for VDSM
BuildArch:      noarch
Requires:       vdsm

%description hook-qemucmdline
Provides support for injecting QEMU cmdline via VDSM hook.
It exploits libvirt's qemu:commandline facility available in the
qemu xml namespace.

%package hook-qos
Summary:        QoS network in/out traffic support for VDSM
BuildArch:      noarch

%description hook-qos
Hook adds QoS in/out traffic to VMs interfaces

%package hook-scratchpad
Summary:        One time disk creation for VDSM
BuildArch:      noarch

%description hook-scratchpad
scratchpad hook for VDSM
Hook creates a disk for a VM onetime usage,
the disk will be erased when the VM destroyed.
VM cannot be migrated when using scratchpad hook

%package hook-smbios
Summary:        Adding custom smbios entries to libvirt domain via VDSM
BuildArch:      noarch

%description hook-smbios
Adding custom smbios entries to libvirt domain via VDSM
such as: vendor, version, date and release

%package hook-sriov
Summary:        sr-iov support for VDSM
BuildArch:      noarch

%description hook-sriov
sr-iov hook enable to add virtual functions exposed by the device
directly to a virtual machine.

%package hook-vmdisk
Summary:        External disk support for VDSM
BuildArch:      noarch

%description hook-vmdisk
Hook adds additional disk image for a VM (raw or qcow2)

%if 0%{?enable_gluster}
%package gluster
Summary:        Gluster Plugin for VDSM
BuildArch:      noarch

Requires: %{name} = %{version}-%{release}
Requires: glusterfs glusterfs-server glusterfs-fuse

%description gluster
Gluster plugin enables VDSM to serve Gluster functionalities.
%endif

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch168 -p1
%patch169 -p1
%patch170 -p1
%patch171 -p1
%patch172 -p1
%patch173 -p1
%patch174 -p1
%patch175 -p1
%patch176 -p1
%patch177 -p1
%patch178 -p1
%patch179 -p1
%patch180 -p1
%patch181 -p1
%patch182 -p1
%patch183 -p1
%patch184 -p1
%patch185 -p1
%patch186 -p1
%patch187 -p1
%patch188 -p1
%patch189 -p1
%patch190 -p1
%patch191 -p1
%patch192 -p1
%patch193 -p1
%patch194 -p1
%patch195 -p1
%patch196 -p1
%patch197 -p1
%patch198 -p1
%patch199 -p1
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1

%build
%if 0%{?enable_autotools}
autoreconf -if
%endif
%configure %{?with_hooks:--enable-hooks}
make
# Setting software_version and software_revision in dsaversion.py
baserelease=`echo "%{release}" | sed 's/\([0-9]\+\(\.[0-9]\+\)\?\).*/\1/'`
baseversion=`echo "%{version}" | sed 's/\([0-9]\+\(\.[0-9]\+\)\?\).*/\1/'`
rawversion=%{version}-%{release}
sed -i -e 's/^software_version =.*/software_version = "'"${baseversion}"'"/' \
       -e 's/^raw_version_revision =.*/raw_version_revision = "'"${rawversion}"'"/' \
       -e 's/^software_revision =.*/software_revision = "'"${baserelease}"'"/' vdsm/dsaversion.py

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# Install the respawn utility
install -Dm 0755 vdsm/respawn \
                 %{buildroot}%{_datadir}/%{vdsm_name}/respawn

# Install the lvm rules
install -Dm 0644 vdsm/storage/12-vdsm-lvm.rules \
                 %{buildroot}/lib/udev/rules.d/12-vdsm-lvm.rules

install -Dm 0644 vdsm/limits.conf \
                 %{buildroot}/etc/security/limits.d/99-vdsm.conf

# Remove the hack as soon we have python-pthreading in EL6
mkdir -p %{buildroot}%{python_sitearch}
install -Dm 0644 %{vdsm_name}/pthread.py %{buildroot}%{python_sitearch}
install -Dm 0644 %{vdsm_name}/pthreading.py %{buildroot}%{python_sitearch}
rm -f %{buildroot}/usr/share/%{vdsm_name}/pthreading.py*
rm -f %{buildroot}/usr/share/%{vdsm_name}/pthread.py*
# Remove the hack as soon we have python-pthreading in EL6

# Remove the hack as soon we have python-ordereddict in EL6
install -Dm 0644 %{vdsm_name}/ordereddict.py %{buildroot}%{python_sitearch}/
rm -f %{buildroot}/usr/share/%{vdsm_name}/ordereddict.py*
# Remove the hack as soon we have python-ordereddict in EL6

%if 0%{?rhel}
# Install the SysV init scripts
install -Dm 0755 vdsm/vdsmd.init %{buildroot}%{_initrddir}/vdsmd
install -Dm 0755 vdsm_reg/vdsm-reg.init %{buildroot}%{_initrddir}/vdsm-reg
install -Dm 0755 vdsm/vdsm-restore-net-config.init \
    %{buildroot}%{_initrddir}/vdsm-restore-net-config

# This is not commonplace, but we want /var/log/core to be a world-writable
# dropbox for core dumps
install -dDm 1777 %{buildroot}%{_localstatedir}/log/core
%else
# Install the configuration sample
install -Dm 0644 vdsm/vdsm.conf.sample \
                 %{buildroot}%{_sysconfdir}/vdsm/vdsm.conf

# Install the systemd scripts
install -Dm 0755 vdsm/vdsmd.init %{buildroot}/lib/systemd/systemd-vdsmd
install -Dm 0644 vdsm/vdsmd.service %{buildroot}%{_unitdir}/vdsmd.service
install -Dm 0644 vdsm/vdsm-restore-net-config.service \
    %{buildroot}%{_unitdir}/vdsm-restore-net-config.service
install -Dm 0755 vdsm_reg/vdsm-reg.init \
                 %{buildroot}/lib/systemd/systemd-vdsm-reg
install -Dm 0644 vdsm_reg/vdsm-reg.service \
                 %{buildroot}%{_unitdir}/vdsm-reg.service

# Install the polkit for libvirt
%if 0%{?fedora} >= 18
install -Dm 0644 vdsm/vdsm-libvirt-access.rules \
                 %{buildroot}%{_polkitdir}/10-vdsm-libvirt-access.rules
%else
install -Dm 0644 vdsm/vdsm-libvirt-access.pkla \
                 %{buildroot}%{_polkitdir}/10-vdsm-libvirt-access.pkla
%endif
%endif

%if !0%{?enable_gluster}
rm -fr %{buildroot}/usr/share/vdsm/gluster
rm -f  %{buildroot}/usr/share/vdsm/vdsClientGluster.py*
%endif

%check
#make check

%clean
rm -rf %{buildroot}

%pre
# Force standard locale behavior (English)
export LC_ALL=C

/usr/bin/getent passwd %{vdsm_user} >/dev/null || \
    /usr/sbin/useradd -r -u 36 -g %{vdsm_group} -d /var/lib/vdsm \
        -s /sbin/nologin -c "Node Virtualization Manager" %{vdsm_user}
/usr/sbin/usermod -a -G %{qemu_group},%{snlk_group} %{vdsm_user}
/usr/sbin/usermod -a -G %{qemu_group},%{vdsm_group} %{snlk_user}

%post
%{_bindir}/vdsm-tool sebool-config
# set the vdsm "secret" password for libvirt
%{_bindir}/vdsm-tool set-saslpasswd

# Have moved vdsm section in /etc/sysctl.conf to /etc/sysctl.d/vdsm.
# So Remove them if it is played with /etc/sysctl.conf.
if grep -q "# VDSM section begin" /etc/sysctl.conf; then
    /bin/sed -i '/# VDSM section begin/,/# VDSM section end/d' \
        /etc/sysctl.conf
fi

%if 0%{?rhel}
if [ "$1" -eq 1 ] ; then
    /sbin/chkconfig --add vdsmd
    /sbin/chkconfig --add vdsm-restore-net-config
fi
%else
if [ "$1" -eq 1 ] ; then
    /bin/systemctl enable vdsmd.service >/dev/null 2>&1 || :
    /bin/systemctl enable vdsm-restore-net-config.service >/dev/null 2>&1 || :
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
exit 0
%endif

%preun
if [ "$1" -eq 0 ]; then
        start_conf_section="## beginning of configuration section by vdsm"
        end_conf_section="## end of configuration section by vdsm"
        by_vdsm="by vdsm"

        /bin/sed -i -e "/${start_conf_section}/,/${end_conf_section}/d" \
                    -e "/${by_vdsm}/d" \
                %{_sysconfdir}/libvirt/libvirtd.conf \
                %{_sysconfdir}/libvirt/qemu.conf \
                %{_sysconfdir}/sysconfig/libvirtd \
                %{_sysconfdir}/sysctl.conf \
                %{_sysconfdir}/libvirt/qemu-sanlock.conf
fi

%if 0%{?rhel}
if [ "$1" -eq 0 ]
then
    /sbin/service vdsmd stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del vdsmd
    /sbin/chkconfig --del vdsm-restore-net-config

    /bin/sed -i '/# VDSM section begin/,/# VDSM section end/d' \
        /etc/sysctl.conf

    %{_bindir}/vdsm-tool sebool-unconfig

    /usr/sbin/saslpasswd2 -p -a libvirt -d vdsm@ovirt

    if /sbin/initctl status libvirtd >/dev/null 2>/dev/null ; then
        /sbin/initctl stop libvirtd  >/dev/null 2>/dev/null
        rm -f /etc/init/libvirtd.conf

        /sbin/chkconfig libvirtd on
        /sbin/service libvirtd start >/dev/null
    fi
fi
%else
if [ "$1" -eq 0 ]; then
    /bin/systemctl --no-reload disable vdsmd.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable vdsm-restore-net-config.service > /dev/null 2>&1 || :
    /bin/systemctl stop vdsmd.service > /dev/null 2>&1 || :
fi
exit 0
%endif

%postun
%if 0%{?rhel}
if [ "$1" -ge 1 ]; then
    /sbin/service vdsmd condrestart > /dev/null 2>&1
fi
exit 0
%else
if [ "$1" -ge 1 ] ; then
    /bin/systemctl try-restart vdsmd.service >/dev/null 2>&1 || :
fi
exit 0
%endif

%if 0%{?rhel}
%triggerun -- libvirt
if [ "$2" -eq "0" ]; then
    /sbin/initctl stop libvirtd > /dev/null 2>&1 || :
fi

%triggerpostun -- libvirt
if [ "$2" -ge "1" ]; then
    /sbin/initctl restart libvirtd > /dev/null 2>&1 || :
fi
%endif

%post reg
%if 0%{?rhel}
if [ "$1" -eq 1 ] ; then
    /sbin/chkconfig --add vdsm-reg
fi
%else
if [ "$1" -eq 1 ] ; then
    /bin/systemctl enable vdsm-reg.service >/dev/null 2>&1 || :
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
exit 0
%endif

%preun reg
%if 0%{?rhel}
if [ "$1" -eq 0 ]
then
    /sbin/service vdsm-reg stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del vdsm-reg
fi
%else
if [ "$1" -eq 0 ]; then
    /bin/systemctl --no-reload disable vdsm-reg.service > /dev/null 2>&1 || :
    /bin/systemctl stop vdsm-reg.service > /dev/null 2>&1 || :
fi
exit 0
%endif

%files
%defattr(-, root, root, -)
%doc COPYING README vdsm/vdsm.conf.sample
%if 0%{?rhel}
%{_initrddir}/vdsmd
%{_initrddir}/vdsm-restore-net-config
%else
/lib/systemd/systemd-vdsmd
%{_unitdir}/vdsmd.service
%{_unitdir}/vdsm-restore-net-config.service
%endif
%dir %attr(-, %{vdsm_user}, %{vdsm_group}) /rhev/data-center
%ghost %dir %attr(-, %{vdsm_user}, %{vdsm_group}) /rhev/data-center/hsm-tasks
%ghost %dir %attr(-, %{vdsm_user}, %{vdsm_group}) /rhev/data-center/mnt
%dir %{_libexecdir}/%{vdsm_name}
%dir %{_datadir}/%{vdsm_name}
%dir %{_datadir}/%{vdsm_name}/storage
%dir %{_datadir}/%{vdsm_name}/storage/imageRepository
%{_datadir}/%{vdsm_name}/alignmentScan.py*
%{_datadir}/%{vdsm_name}/blkid.py*
%{_datadir}/%{vdsm_name}/caps.py*
%{_datadir}/%{vdsm_name}/clientIF.py*
%{_datadir}/%{vdsm_name}/dmidecodeUtil.py*
%{_datadir}/%{vdsm_name}/API.py*
%{_datadir}/%{vdsm_name}/hooking.py*
%{_datadir}/%{vdsm_name}/hooks.py*
%{_datadir}/%{vdsm_name}/libvirtvm.py*
%{_datadir}/%{vdsm_name}/lsblk.py*
%{_datadir}/%{vdsm_name}/md_utils.py*
%{_datadir}/%{vdsm_name}/mk_sysprep_floppy
%{_datadir}/%{vdsm_name}/parted_utils.py*
%{_datadir}/%{vdsm_name}/mkimage.py*
%{_datadir}/%{vdsm_name}/supervdsm.py*
%{_datadir}/%{vdsm_name}/supervdsmServer.py*
%{_datadir}/%{vdsm_name}/vmChannels.py*
%{_datadir}/%{vdsm_name}/tc.py*
%{_datadir}/%{vdsm_name}/vdsm
%{_datadir}/%{vdsm_name}/vdsm-restore-net-config
%{_datadir}/%{vdsm_name}/vdsm-store-net-config
%{_datadir}/%{vdsm_name}/vm.py*
%{_datadir}/%{vdsm_name}/write-net-config
%{_datadir}/%{vdsm_name}/zombieReaper.py*
%attr (755,vdsm,kvm) %{_datadir}/%{vdsm_name}/dummybr.py*
%attr (755,vdsm,kvm) %{_datadir}/%{vdsm_name}/nwfilter.py*
%config(noreplace) %{_sysconfdir}/%{vdsm_name}/logger.conf
%config(noreplace) %{_sysconfdir}/%{vdsm_name}/svdsm.logger.conf
%config(noreplace) %{_sysconfdir}/%{vdsm_name}/mom.conf
%config(noreplace) %{_sysconfdir}/%{vdsm_name}/mom.policy
%config(noreplace) %{_sysconfdir}/logrotate.d/vdsm
%config(noreplace) %{_sysconfdir}/rwtab.d/vdsm
%config(noreplace) %{_sysconfdir}/sysctl.d/vdsm
%{_sysconfdir}/sudoers.d/50_vdsm
%{_sysconfdir}/cron.hourly/vdsm-logrotate
%{_sysconfdir}/cron.d/vdsm-libvirt-logrotate
%{_datadir}/%{vdsm_name}/guestIF.py*
%{_datadir}/%{vdsm_name}/logUtils.py*
%{_datadir}/%{vdsm_name}/dsaversion.py*
%{_libexecdir}/%{vdsm_name}/persist-vdsm-hooks
%{_libexecdir}/%{vdsm_name}/unpersist-vdsm-hook
%{_libexecdir}/%{vdsm_name}/ovirt_functions.sh
%{_libexecdir}/%{vdsm_name}/vdsm-gencerts.sh
%{_datadir}/%{vdsm_name}/storage/__init__.py*
%{_datadir}/%{vdsm_name}/storage/blockSD.py*
%{_datadir}/%{vdsm_name}/storage/blockVolume.py*
%{_datadir}/%{vdsm_name}/storage/devicemapper.py*
%{_datadir}/%{vdsm_name}/storage/dispatcher.py*
%{_datadir}/%{vdsm_name}/storage/domainMonitor.py*
%{_datadir}/%{vdsm_name}/storage/fileSD.py*
%{_datadir}/%{vdsm_name}/storage/fileUtils.py*
%{_datadir}/%{vdsm_name}/storage/fileVolume.py*
%{_datadir}/%{vdsm_name}/storage/fuser.py*
%{_datadir}/%{vdsm_name}/storage/hba.py*
%{_datadir}/%{vdsm_name}/storage/hsm.py*
%{_datadir}/%{vdsm_name}/storage/image.py*
%{_datadir}/%{vdsm_name}/storage/iscsiadm.py*
%{_datadir}/%{vdsm_name}/storage/iscsi.py*
%{_datadir}/%{vdsm_name}/storage/localFsSD.py*
%{_datadir}/%{vdsm_name}/storage/lvm.py*
%{_datadir}/%{vdsm_name}/storage/misc.py*
%{_datadir}/%{vdsm_name}/storage/mount.py*
%{_datadir}/%{vdsm_name}/storage/multipath.py*
%{_datadir}/%{vdsm_name}/storage/nfsSD.py*
%{_datadir}/%{vdsm_name}/storage/outOfProcess.py*
%{_datadir}/%{vdsm_name}/storage/persistentDict.py*
%{_datadir}/%{vdsm_name}/storage/resourceFactories.py*
%{_datadir}/%{vdsm_name}/storage/remoteFileHandler.py*
%{_datadir}/%{vdsm_name}/storage/resourceManager.py*
%{_datadir}/%{vdsm_name}/storage/clusterlock.py*
%{_datadir}/%{vdsm_name}/storage/sdc.py*
%{_datadir}/%{vdsm_name}/storage/sd.py*
%{_datadir}/%{vdsm_name}/storage/securable.py*
%{_datadir}/%{vdsm_name}/storage/sp.py*
%{_datadir}/%{vdsm_name}/storage/storageConstants.py*
%{_datadir}/%{vdsm_name}/storage/storage_exception.py*
%{_datadir}/%{vdsm_name}/storage/storage_mailbox.py*
%{_datadir}/%{vdsm_name}/storage/storageServer.py*
%{_datadir}/%{vdsm_name}/storage/sync.py*
%{_datadir}/%{vdsm_name}/storage/taskManager.py*
%{_datadir}/%{vdsm_name}/storage/task.py*
%{_datadir}/%{vdsm_name}/storage/threadLocal.py*
%{_datadir}/%{vdsm_name}/storage/threadPool.py*
%{_datadir}/%{vdsm_name}/storage/volume.py*
%{_datadir}/%{vdsm_name}/storage/imageRepository/__init__.py*
%{_datadir}/%{vdsm_name}/storage/imageRepository/formatConverter.py*
%{_libexecdir}/%{vdsm_name}/safelease
%{_libexecdir}/%{vdsm_name}/spmprotect.sh
%{_libexecdir}/%{vdsm_name}/spmstop.sh
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_start
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_cont
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_cont
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_pause
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_pause
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_hibernate
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_hibernate
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_dehibernate
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_dehibernate
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_migrate_source
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_destination
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_migrate_destination
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_destroy
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_set_ticket
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_set_ticket
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_nic_hotplug
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_nic_hotplug
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_nic_hotunplug
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_nic_hotunplug
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_nic_hotplug_fail
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_nic_hotunplug_fail
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vdsm_start
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vdsm_stop
%{_datadir}/%{vdsm_name}/addNetwork
%{_datadir}/%{vdsm_name}/configNetwork.py*
%{_datadir}/%{vdsm_name}/delNetwork
%{_datadir}/%{vdsm_name}/dumpStorageTable.py*
%{_datadir}/%{vdsm_name}/get-conf-item
%{_datadir}/%{vdsm_name}/kaxmlrpclib.py*
%{_datadir}/%{vdsm_name}/ksm.py*
%{_datadir}/%{vdsm_name}/momIF.py*
%{_datadir}/%{vdsm_name}/neterrors.py*
%{_datadir}/%{vdsm_name}/respawn
%{_datadir}/%{vdsm_name}/set-conf-item
%{python_sitelib}/sos/plugins/vdsm.py*
/lib/udev/rules.d/12-vdsm-lvm.rules
/etc/security/limits.d/99-vdsm.conf
%{_mandir}/man8/vdsmd.8*
%if 0%{?rhel}
%dir %{_localstatedir}/log/core
%else
%if 0%{?fedora} >= 18
%{_polkitdir}/10-vdsm-libvirt-access.rules
%else
%{_polkitdir}/10-vdsm-libvirt-access.pkla
%endif
%endif

%defattr(-, %{vdsm_user}, %{qemu_group}, -)
%dir %{_localstatedir}/lib/libvirt/qemu/channels

%defattr(-, %{vdsm_user}, %{vdsm_group}, -)
%dir %{_sysconfdir}/pki/%{vdsm_name}
%dir %{_sysconfdir}/pki/%{vdsm_name}/keys
%dir %{_sysconfdir}/pki/%{vdsm_name}/certs
%config(noreplace) %{_sysconfdir}/pki/%{vdsm_name}/keys/libvirt_password
%dir %{_localstatedir}/lib/%{vdsm_name}
%dir %{_localstatedir}/lib/%{vdsm_name}/netconfback
%ghost %dir %{_localstatedir}/run/%{vdsm_name}
%ghost %dir %{_localstatedir}/run/%{vdsm_name}/pools
%ghost %dir %{_localstatedir}/run/%{vdsm_name}/payload
%dir %{_localstatedir}/log/%{vdsm_name}
%dir %{_localstatedir}/log/%{vdsm_name}/backup

%files python
%defattr(-, root, root, -)
%{_bindir}/vdsm-tool
%if !0%{?rhel}
%config(noreplace) %{_sysconfdir}/%{vdsm_name}/vdsm.conf
%endif
%{python_sitearch}/%{vdsm_name}/__init__.py*
%{python_sitearch}/%{vdsm_name}/config.py*
%{python_sitearch}/%{vdsm_name}/constants.py*
%{python_sitearch}/%{vdsm_name}/define.py*
%{python_sitearch}/%{vdsm_name}/exception.py*
%{python_sitearch}/%{vdsm_name}/libvirtconnection.py*
%{python_sitearch}/%{vdsm_name}/netinfo.py*
%{python_sitearch}/%{vdsm_name}/qemuImg.py*
%{python_sitearch}/%{vdsm_name}/SecureXMLRPCServer.py*
%{python_sitearch}/%{vdsm_name}/utils.py*
%{python_sitearch}/%{vdsm_name}/vdscli.py*
%{python_sitearch}/%{vdsm_name}/betterPopen/__init__.py*
%{python_sitearch}/%{vdsm_name}/betterPopen/createprocess.so
#python-pthreading - remove as soon we have python-pthreading in EL6
%{python_sitearch}/pthread.py*
%{python_sitearch}/pthreading.py*
#python-pthreading - remove as soon we have python-pthreading in EL6
#ordereddict.py - remove as soon we have python-ordereddict in EL6
%{python_sitearch}/ordereddict.py*
#ordereddict.py - remove as soon we have python-ordereddict in EL6
#compat
%{_datadir}/%{vdsm_name}/config.py*
%{_datadir}/%{vdsm_name}/netinfo.py*
%{python_sitearch}/%{vdsm_name}/tool/__init__.py*
%{python_sitearch}/%{vdsm_name}/tool/load_needed_modules.py*
%{python_sitearch}/%{vdsm_name}/tool/passwd.py*
%{python_sitearch}/%{vdsm_name}/tool/seboolsetup.py*
%{python_sitearch}/%{vdsm_name}/tool/validate_ovirt_certs.py*

%files tests
%doc %{_datadir}/%{vdsm_name}/tests/README
%defattr(-, root, root, -)
%{_datadir}/%{vdsm_name}/tests/*.py*
%{_datadir}/%{vdsm_name}/tests/cpu_info.out
%{_datadir}/%{vdsm_name}/tests/caps_libvirt_intel_E5649.out
%{_datadir}/%{vdsm_name}/tests/caps_libvirt_amd_6274.out
%{_datadir}/%{vdsm_name}/tests/caps_libvirt_intel_E31220.out
%{_datadir}/%{vdsm_name}/tests/glob_1c60971a-8647-44ac-ae33-6520887f8843.out
%{_datadir}/%{vdsm_name}/tests/lvs_3386c6f2-926f-42c4-839c-38287fac8998.out
%{_datadir}/%{vdsm_name}/tests/netmaskconversions
%{_datadir}/%{vdsm_name}/tests/run_tests.sh
%{_datadir}/%{vdsm_name}/tests/route_info.out
%{_datadir}/%{vdsm_name}/tests/tc_filter_show.out
%{_datadir}/%{vdsm_name}/tests/glusterVolumeProfileInfo.xml
%{_datadir}/%{vdsm_name}/tests/glusterVolumeProfileInfoNfs.xml
%{_datadir}/%{vdsm_name}/tests/functional/*.py*

%files hook-vhostmd
%defattr(-, root, root, -)
%doc COPYING
%{_sysconfdir}/sudoers.d/50_vdsm_hook_vhostmd
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_vhostmd
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_destination/50_vhostmd
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_dehibernate/50_vhostmd
%{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_vhostmd

%files hook-qemucmdline
%defattr(-, root, root, -)
%doc COPYING
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_qemucmdline

%if 0%{?with_hooks}
%files hook-directlun
%defattr(-, root, root, -)
%{_sysconfdir}/sudoers.d/50_vdsm_hook_directlun
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_directlun
%{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_directlun
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_destination/50_directlun

%files hook-fileinject
%defattr(-, root, root, -)
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_fileinject

%files hook-floppy
%defattr(-, root, root, -)
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_floppy
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source/50_floppy

%files hook-hostusb
%defattr(-, root, root, -)
%{_sysconfdir}/sudoers.d/50_vdsm_hook_hostusb
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_hostusb
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source/50_hostusb
%{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_hostusb

%files hook-hugepages
%defattr(-, root, root, -)
%{_sysconfdir}/sudoers.d/50_vdsm_hook_hugepages
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_hugepages
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_destination/50_hugepages
%{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_hugepages

%files hook-isolatedprivatevlan
%defattr(-, root, root, -)
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_isolatedprivatevlan
%config(noreplace) %{_sysconfdir}/libvirt/nwfilter/isolatedprivatevlan-vdsm.xml

%files hook-numa
%defattr(-, root, root, -)
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_numa

%files hook-pincpu
%defattr(-, root, root, -)
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_pincpu

%files hook-promisc
%defattr(-, root, root, -)
%{_sysconfdir}/sudoers.d/50_vdsm_hook_promisc
%{_libexecdir}/%{vdsm_name}/hooks/after_vm_start/50_promisc
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_destroy/50_promisc

%files hook-qos
%defattr(-, root, root, -)
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_qos

%files hook-scratchpad
%defattr(-, root, root, -)
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_scratchpad
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source/50_scratchpad
%{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_scratchpad

%files hook-smbios
%defattr(-, root, root, -)
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_smbios

%files hook-sriov
%defattr(-, root, root, -)
%{_sysconfdir}/sudoers.d/50_vdsm_hook_sriov
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_sriov
%{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_sriov
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source/50_sriov

%files hook-vmdisk
%defattr(-, root, root, -)
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_vmdisk
%endif

%files debug-plugin
%defattr(-, root, root, -)
%{_datadir}/%{vdsm_name}/vdsmDebugPlugin.py*
%{_datadir}/%{vdsm_name}/debugPluginClient.py*

%files cli
%defattr(-, root, root, -)
%doc COPYING
%{_bindir}/vdsClient
%{_datadir}/%{vdsm_name}/vdsClient.py*
%if 0%{?enable_gluster}
%{_datadir}/%{vdsm_name}/vdsClientGluster.py*
%endif
%{_sysconfdir}/bash_completion.d/vdsClient
%{_mandir}/man1/vdsClient.1*

%files xmlrpc
%defattr(-, root, root, -)
%{_datadir}/%{vdsm_name}/BindingXMLRPC.py*

%files bootstrap
%defattr(-, root, root, -)
%doc COPYING
%{_datadir}/%{vdsm_bootstrap}

%files reg
%defattr(-, root, root, -)
%doc COPYING
%dir %{_sysconfdir}/%{vdsm_reg}
%dir %{_datadir}/%{vdsm_reg}
%config(noreplace) %{_sysconfdir}/logrotate.d/vdsm-reg
%config(noreplace) %{_sysconfdir}/%{vdsm_reg}/vdsm-reg.conf
%config(noreplace) %{_sysconfdir}/%{vdsm_reg}/logger.conf
%ghost %dir /data
%ghost %dir %attr(0775, root, root) /data/updates
%if 0%{?rhel}
%{_initrddir}/vdsm-reg
%else
/lib/systemd/systemd-vdsm-reg
%{_unitdir}/vdsm-reg.service
%endif
%{_datadir}/%{vdsm_reg}/vdsm-reg-setup
%{_datadir}/%{vdsm_reg}/define.py*
%{_datadir}/%{vdsm_reg}/vdsm-complete
%{_datadir}/%{vdsm_reg}/vdsm-gen-cert
%{_datadir}/%{vdsm_reg}/vdsm-upgrade
%{_datadir}/%{vdsm_reg}/config.py*
%{_datadir}/%{vdsm_reg}/deployUtil.py*
%attr(0755, -, -) %{_datadir}/%{vdsm_reg}/register-to-engine.py*
%{_datadir}/%{vdsm_reg}/createDaemon.py*
%{python_sitelib}/ovirt_config_setup/engine.py*
%{_datadir}/%{vdsm_reg}/save-config
%{_sysconfdir}/ovirt-config-boot.d/vdsm-config
%{_sysconfdir}/ovirt-commandline.d/vdsm-reg
%{_sysconfdir}/cron.hourly/vdsm-reg-logrotate
%{_mandir}/man8/vdsm-reg.8*

%defattr(-, %{vdsm_user}, %{vdsm_group},-)
%dir %{_var}/log/%{vdsm_reg}

%files hook-faqemu
%defattr(-, root, root, -)
%doc COPYING
%{_libexecdir}/%{vdsm_name}/vdsm-faqemu
%{_libexecdir}/%{vdsm_name}/hooks/after_vdsm_stop/10_faqemu
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/10_faqemu

%if 0%{?enable_gluster}
%files gluster
%defattr(-, root, root, -)
%dir %{_datadir}/%{vdsm_name}/gluster
%doc COPYING
%{_datadir}/%{vdsm_name}/gluster/__init__.py*
%{_datadir}/%{vdsm_name}/gluster/api.py*
%{_datadir}/%{vdsm_name}/gluster/cli.py*
%{_datadir}/%{vdsm_name}/gluster/exception.py*
%{_datadir}/%{vdsm_name}/gluster/hostname.py*
%endif

%changelog
* Mon Oct 14 2013 Eyal Edri <eedri@redhat.com> - 4.10.2-27.0
Resolves:  BZ#1011661

* Tue Oct 08 2013 Eyal Edri <eedri@redhat.com> - 4.10.2-26.0
- Introduce hidden_vlans configurable
Resolves:  BZ#1001372

* Thu Sep 12 2013 Eyal Edri <eedri@redhat.com> - 4.10.2-25.1
Resolves:  BZ#1001031

* Wed Aug 21 2013 Eyal Edri <eedri@redhat.com> - 4.10.2-25.0
Resolves:  BZ#985973 BZ#988762

* Wed Aug 07 2013 Eyal Edri <eedri@redhat.com> - 4.10.2-24.1
Resolves:  BZ#985973

* Wed Jul 24 2013 Lev Veyde <lveyde@redhat.com> - 4.10.2-24.0
Resolves:  BZ#982639 BZ#983599 BZ#984940 BZ#985069 BZ#985556 BZ#987042

* Wed Jun 12 2013 Ohad Basan <obasan@redhat.com> - 4.10.2-23.0
Resolves:  BZ#857035 BZ#965762 BZ#972700 BZ#972749 BZ#972863

* Mon May 27 2013 Lev Veyde <lveyde@redhat.com> - 4.10.2-22.0
Resolves:  BZ#962549

* Tue May 21 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-21.0
Resolves:  BZ#962549

* Tue May 21 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-20.0
Resolves:  BZ#857035 BZ#955993

* Mon May 13 2013 Ohad Basan <obasan@redhat.com> - 4.10.2-19.0
Resolves: BZ#928217 BZ#955593 BZ#923773

* Wed May 08 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-18.0
Resolves:  BZ#893193 BZ#919201 BZ#923964 BZ#925967 BZ#948940 BZ#951057 BZ#958119

* Wed May 01 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-17.0
Resolves:  BZ#882667 BZ#888732 BZ#895912 BZ#912158 BZ#920614 BZ#948346 BZ#956683

* Thu Apr 25 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-16.0
Resolves:  BZ#834041 BZ#852956 BZ#871616 BZ#888732 BZ#905930 BZ#911417
BZ#918541 BZ#920074 BZ#920532 BZ#925981 BZ#928217 BZ#928861 BZ#947014
BZ#949192 BZ#955140

* Wed Apr 10 2013 Ohad Basan <obasan@redhat.com> - 4.10.2-15.0
- vdsm: fix Vm cleanup routine
- vdsm: Ignore after_vm_cont hook if _dom was not yet created
- Probe cpu count from new libvirt capabilities.
- Fix duplicate emulated machines returned
- Extract a method _getCapsXMLStr() to get capabilities from libvirt
- sriov: Make the hook safe for concurrency
- Make sr-iov hook use interface instead of hostdev
- Fix crash on vm start with netdevs w/out some info
- Make getAllVolumes() not fail on broken images.
- Marking del/zero volumes in blockSD class.
- sp: invalidate lvm cache if attachSD fails
Resolves: BZ#927143 BZ#841555 BZ#907587 BZ#928334 BZ#917363 BZ#883390

* Thu Apr 04 2013 Ohad Basan <obasan@redhat.com> - 4.10.2-14.0
- Encode '=' when persisting the Task.
- task: Fix spelling.
- image: placeholder optimization on preallocation
- Relink template hard links to meta and lease files
- image: Set legality of volume to LEGAL after copy
- Fix _getNetworkIp for non-bridged networks.
- dsaversion: Adding raw_version_revision
Resolves: BZ#915068 BZ#910445 BZ#864073 BZ#921595 BZ#893193

* Thu Mar 28 2013 Lev Veyde <lveyde@redhat.com> - 4.10.2-13.0
- Remove hbtl attribute of non-scsi devices
- fix storage.fuser
- Removing ownership option for logrotate.conf
- Seperating supervdsm log to supervdsm.log file
- logUtils.funcName: work on partial methods
- spec: bump libvirt version for el6
Resolves: BZ#808998 BZ#912308 BZ#920688 BZ#922515

* Tue Mar 19 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-12.0
- dumpStorageTable to handle images with multiple leaf volumes
- vdsm-upgrade: fix xml format
- sos: Follow symbolic links with tree command
- vdsm: bring back smartcard support
- Fix validateBonding tests without bonding
- Fix checking bonding options for missing bonds.
- engine.py: replace sed to setVdsConf
- Do not attempt to run hook with an unknown vnic
- Don't crash on libvirt network re-definition.
- configNet: allow delete/update of devices with no ifcfg
- Ignore postZero flag when deleting an image on a fileSD.
- Catch libvirt timeout and return an error on setVmTicket
Resolves: Resolves: BZ#890983 BZ#920671 BZ#911799 BZ#892468
BZ#918666 BZ#890572 BZ#919356 BZ#861701 BZ#906383 BZ#911209
BZ#878064

* Wed Mar 06 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-11.0
- hsm: always check validateNotSPM when disconnecting from a pool
- pool: ignore refreshStoragePool calls on the SPM
- stats: compute the iso prefix asynchronously
- pool: refactor getInfo and getRepoStats
- Drop remnant CMD_LOWPRIO
- If attachSD fails - rescan for new vgs not visible from spm
- Adding sudo rules to multipath and removing unused rules
Resolves: BZ#882958,BZ#882958,BZ#880098,BZ#880098,BZ#918469
BZ#883390,BZ#907389

* Wed Feb 27 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-10.0
- tool: _enable_bond_dev: reopen bonding_masters per bond
- vdsm: Move sysctl
- vdsm.spec: increase policycoreutils version
- Disable MOM in 3.2 version
- Removing vdsm configuration when removing vdsm service
- Setting config that says to load part of jsonrpc and rest to false
- net: drop nicSort
- a more delicate rollback
- guestIF: do not trust data from guest
- BZ#841555 A migration failure with an "AttributeError" exception.
- Add to logrotate conf file that new created logs will be owned by vdsm
- domain: use shared lock for extendStorageDomain
- Make advanced process invocations part of execCmd
- vds_bootstrap.py: fix package name
- BZ#829110 Remove a "Domain not found" error from stats thread.
- split restore-net-conf away of vdsmd.init service
- do not use save_image_format=lzop until cleared by libvirt
Resolves: BZ#829110 BZ#841555 BZ#871481 BZ#876663 BZ#888732 BZ#902346 BZ#903309 BZ#907086 BZ#909870 BZ#911178 BZ#912308 BZ#913226 BZ#915645

* Wed Feb 20 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-9.0
- Do not delete the template when zeroing a dependant image.
- fix error handling for misc.NoIntrPoll
- Fix bad  image tagging when postzeroing.
Resolves: BZ#910013, BZ#910667

* Wed Feb 13 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-8.0
- After fail to connect to supervdsm more than 3 time vdsm gets into panic
- Create a fake template when moving to backup SD.
- Change lvm filter use of regular expression to 'replace \x'
- cpu mode support for vdsm
Resolves: BZ#910005, BZ#882632, BZ#908776, BZ#908420

* Wed Feb 06 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-7.0
- _firstLaunch was always false because assignment was to firstLaunch
Resolves: BZ#908068

* Tue Feb 05 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-6.0
- constants.py: use correct sasl username
- vdsm-reg.conf.in: change the default url for reg
- mount.py: handle (deleted) mount points
- VDSM should return qemu-kvm parameters by getCaps API over RHEL
- Handle spaces in device names using lvm filter
- isRunning didn't check local variable before reading saved data
- clusterlock: add the local locking implementation
- domain: select the cluster lock using makeClusterLock
- misc: rename safelease to clusterlock
- upgrade: catch MetaDataKeyNotFoundError when preparing images
- use qemu-img convert to copy sparse volumes when moving a vm
- Copy truncate vdsm-reg.log
Resolves: BZ#904859

* Tue Jan 29 2013 Kiril Nesenko <knesenko@redhat.com> - 4.10.2-5.0
- api: Report CPU thread info in getVdsCapabilities
- bootstrap: use alternate method for verify certificate
Resolves: BZ#904721

* Wed Jan 23 2013 Igor Lvovsky <ilvovsky@redhat.com> - 4.10.2-4.0
- vdsm: Attaching a console should be controllable
- upgrade: force upgrade to v2 before upgrading to v3
- udev: Race fix- load and trigger dev rule
- init: do not configure lock_manager in qemu.conf
- adding getHardwareInfo API to vdsm
- prepareForShutdown is not called when connection to libvirt is broken.
- Don't fail silently when ifup fails.
- net: drop redundant ifdown/up of bond's nics.
- Remove redundant ifupping of bonded ifaces.
- Remove redundant vlan device deletion.
- vdsm.spec: increase selinux-policy for rhel distro
- Improvement of the GuestAgent class memory usage
- Integrate Smartcard support
- Fix block volume atomicity creation issue.
- vdsm: use default libvirt event handler impl
- added glusterVolumeProfileInfo verb
- Adopt the change in xml output format
- used gluster cli xml output
- Rename lease files on v3 file SDs when renaming data and meta files
Resolves: BZ#902285

* Tue Jan 01 2013 Igor Lvovsky <ilvovsky@redhat.com> - 4.10.2-3
- netwiring: Add API definitions.
- netwiring: Add cli entry point.
- netwiring: Add API definitions.
- Report 3.2 cluster level and Engine 3.2
- libvirtev.py: move to site_packages/vdsm
- Remove duplicate implementation of prefix2netmask
- configNet: support PREFIX option
- vdsm-tool: add the sebool configuration module
- Check if log file exist on startup and log is accessible
- Distinguish between local and mounted SD's.
- Override compellent device defaults in multipath.conf
- bootstrap: fix python-2.4 compatibility
- Fix typo in negative flow log in blockSD.rmDCImgDir().
- Allow to remove NIC if it not in use
- Add default MTU=1500 to NIC's ifcfg files.
- libvirtvm: Avoiding snapshot metadata creation
- conditionally build vdsm-gluster rpm
- Revert "Do not ship vdsm-gluster in rhev"
- Revert "Exclude vdsm/gluster.py from PEP8"
- vdsm.spec: bump python-ethtool version
- use rhevm as management bridge downstream
Resolves: BZ#840692

* Thu Dec 20 2012 Allon Mureinik <amureini@redhat.com> - 4.10.2-2
- Take care of 'No devices found' when calling dmsetup status
- iscsi.py: fix log message format
- Adding support for force extend block domains
- sdcache: add refresh to connectStoragePool
- upgrade: reallocate the metadata slots when needed
- vm: increase the volume extension on storage migration
- upgrade: make sure that the lease files have correct permission
- thread: daemonize HSM_MailMonitor and storageRefresh
- bootstrap: python 2.4 compatibility
- libvirtvm: prepare for <interface type='network'>
- configure.ac: Remove pending vdsm_api ref.
- bootstrap: start messagebus as it is libvirtd dependency
- vdsm.spec: remove %if 0%{?rhel} for workaround
- Adding hooks support for NIC hotplug
- Allow break bond with attached network while VM is running.
- vdsm: remove vdsm_api (json)
- vdsm: Remove rest
- pool: refresh multipath on connectStoragePool
Resolves: BZ#873145 BZ#875487 BZ#875775 BZ#878667 BZ#879253 BZ#880961 BZ#881725 BZ#881947 BZ#882276 BZ#883327 BZ#885418

* Mon Nov 19 2012 Douglas Schilling Landgraf <dougsland@redhat.com> - 4.10.2-1
- Release vdsm-4.10.2-1

* Wed Oct 12 2011 Federico Simoncelli <fsimonce@redhat.com> - 4.9.0-0
- Initial upstream release

* Thu Nov 02 2006 Simon Grinberg <simong@qumranet.com> -  0.0-1
- Initial build
